import { model, Schema, Document } from 'mongoose';
import { Resources } from '../interfaces/resources.interface';

const resourcesSchema: Schema = new Schema({
    topic: {
        type: String,
        required: true,
        unique: false
    },
    details: {
        type: String,
        required: true,
        unique: false
    },
    level: {
        type: String,
        required: true,
        unique: false
    }
});

const resourcesModel = model<Resources & Document>('Resources', resourcesSchema);

export default resourcesModel;
