import App from './app';

import ResourcesRoute from './routes/resources.route';
import ItemsRoute from './routes/items.routes';
import UsersRoute from './routes/users.route';
import GamesRoute from './routes/game.route';

const app = new App([ new ResourcesRoute(), new ItemsRoute(), new UsersRoute(), new GamesRoute()]);

app.listen();